package gs

import sbt._

/** Defines all setting and task keys for the GS CalVer SBT Plugin.
  */
object CalVerKeys {

  /** SBT Setting for the calculated CalVer.
    */
  lazy val calVer = settingKey[String](
    "Calculated CalVer."
  )

  /** Task which emits the current version at the informational log level.
    */
  lazy val calVerInfo = taskKey[Unit](
    "Dump the calculated version information."
  )

}
