package gs

import sbt._

object CalVerPlugin extends AutoPlugin {
  override def trigger = allRequirements

  val autoImport = CalVerKeys

  import autoImport._

  // Perform all version calculations and expose as a variable.
  lazy val calVerDefaults: Seq[Setting[_]] = {
    // Expose the relevant values as setting keys.
    Seq(
      calVer := ""
    )
  }

  // Automatically exposed globally.
  override lazy val globalSettings: Seq[Setting[_]] = calVerDefaults

  // Add the custom task.
  override lazy val buildSettings: Seq[Setting[_]] = Seq(
    calVerInfo := {
      val log = Keys.streams.value.log
      log.info(s"[CalVer] Version: ${calVer.value}")
    }
  )

}
